package com.xingxi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 上传文件类型
 *
 * @author xingxi
 */
@Getter
@AllArgsConstructor
public enum EUploadFileType implements BaseEnum {
    AVATAR("avatar", "public/avatar", "各种头像"),
    IMAGE("image", "public/image", "各种公共图片"),
    VIDEO("video", "public/video", "视频");

    private final String val;
    private final String path;
    private final String desc;
}
